import { OnInit, EventEmitter } from '@angular/core';
import { Storage } from '@ionic/storage';
import { TranslateService } from '../../shared/translate/services/translate.service';
import { FormGroup } from '@angular/forms';
import { LoginConfig } from './shared/login-config.model';
import { AlertController } from '@ionic/angular';
import { TranslatePipe } from '../../shared/translate/pipes/translate.pipe';
export declare class LoginComponent implements OnInit {
    storage: Storage;
    private translateService;
    private alertController;
    private translate;
    imgError: boolean;
    loginForm: FormGroup;
    selectedLanguage: string;
    alertMessage: string;
    loginConfig: LoginConfig;
    callLogin: EventEmitter<{
        email: string;
        password: string;
        isRememberMe: boolean;
    }>;
    callPasswordReminder: EventEmitter<string>;
    onKeydownHandler(): void;
    constructor(storage: Storage, translateService: TranslateService, alertController: AlertController, translate: TranslatePipe);
    ngOnInit(): void;
    initLoginForm(): void;
    isRememberMeChange(event: any): void;
    changeLanguage(event: any): void;
    onImgError(event: any): void;
    login(): void;
    passwordReminder(): Promise<void>;
}
